package com.ycwl.basic.model.pc.member.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:59
 */
@Data
@TableName("member")
public class MemberEntity {
    @TableId
    private Long id;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 微信昵称
     */
    private String nickname;
    /**
     * 真实姓名
     */
    private String realName;
    /**
     * 推客优惠码
     */
    private String promoCode;
    /**
     * 推客id
     */
    private Long brokerId;
    /**
     * 是否同意用户协议，1同意0未同意
     */
    private Integer agreement;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 国家
     */
    private String country;
    /**
     * 省份
     */
    private String province;
    /**
     * 城市
     */
    private String city;
    private Date createDate;
    private Date updateAt;
}
