package com.ycwl.basic.enums;

import lombok.Getter;
import lombok.Setter;

/**
 * @author songmingsong
 * @since 2022-11-23
 * 状态码定义
 */
public enum AppStatesCodeEnum {

    /**
     * 通用操作码
     */
    USER_STATES_CODE(1),
    UNKNOWN_MISTAKE(500, "未知错误"),
    NO_STAFFINFO_ERROR(411, "员工信息不存在"),
    ;

    @Getter
    public int code;

    @Getter
    @Setter
    public String message;

    AppStatesCodeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    AppStatesCodeEnum(Integer statesCode) {
        this.code = statesCode;
    }
}
