package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.task.entity.TaskEntity;
import com.ycwl.basic.model.pc.task.req.TaskReqQuery;
import com.ycwl.basic.model.pc.task.resp.TaskRespVO;
import com.ycwl.basic.model.pc.template.entity.TemplateEntity;
import com.ycwl.basic.model.pc.template.req.TemplateReqQuery;
import com.ycwl.basic.model.pc.template.resp.TemplateRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 14:29
 * 模版
 */
@Mapper
public interface TemplateMapper {
    List<TemplateRespVO> list(TemplateReqQuery templateReqQuery);
    TemplateRespVO getById(Long id);
    int add(TemplateEntity task);
    int deleteById(Long id);
    int update(TemplateEntity task);
    int updateStatus(Long id);

}
