package com.ycwl.basic.model.pc.faceSample.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:40
 */
@Data
@TableName("face_sample")
public class FaceSampleEntity {
    @TableId
    private Long id;
    /**
     * 来源设备
     */
    private Long deviceId;
    /**
     * 人脸照片
     */
    private String faceUrl;
    /**
     * 与样本匹配的ID，逗号隔开
     */
    private String matchSampleIds;
    /**
     * 匹配率
     */
    private String firstMatchRate;
    /**
     * 匹配的结果，JSON字符串
     */
    private String matchResult;
    /**
     * 是否匹配，0未匹配，1已匹配
     */
    private Integer status;
    private Date createAt;
    private Date updateAt;
}
