package com.ycwl.basic.model.pc.faceSample.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:40
 */
@Data
@ApiModel("人脸样本响应参数")
public class FaceSampleRespVO {
    private Long id;
    /**
     * 来源设备
     */
    @ApiModelProperty("来源设备")
    private Long deviceId;
    /**
     * 人脸照片
     */
    @ApiModelProperty("人脸照片")
    private String faceUrl;
    /**
     * 与样本匹配的ID，逗号隔开
     */
    @ApiModelProperty("与样本匹配的ID，逗号隔开")
    private String matchSampleIds;
    /**
     * 匹配率
     */
    @ApiModelProperty("匹配率")
    private String firstMatchRate;
    /**
     * 匹配的结果，JSON字符串
     */
    @ApiModelProperty("匹配的结果，JSON字符串")
    private String matchResult;
    /**
     * 是否匹配，0未匹配，1已匹配
     */
    @ApiModelProperty("是否匹配，0未匹配，1已匹配")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createAt;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateAt;
}
