package com.ycwl.basic.model.pc.source.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 11:29
 * 视频源
 */
@Data
@TableName("source")
public class SourceEntity {
    @TableId
    private Long id;
    /**
     * 景区id
     */
    private Long scenicId;
    /**
     * 来源设备id
     */
    private Long deviceId;
    /**
     * 所属用户
     */
    private Long memberId;
    /**
     * 文件存储地址
     */
    private String url;
    private Date createTime;
    private Date updateTime;
}
